﻿Public Class Form1
    Dim da As OleDb.OleDbDataAdapter
    Dim ds_data As DataSet
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = Application.ProductName

        '************* Modify Connection string to access database
        Dim myConnection As OleDb.OleDbConnection = New OleDb.OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Application.StartupPath & "\C1Nwind.mdb;")

        '********* Open the connection
        Try
            myConnection.Open()
        Catch ex As Exception
            MsgBox("Connect-Error: " & ex.Message)
            Exit Sub
        End Try

        '*********** Adding tables to dataset
        ds_data = New DataSet("myData")
        ds_data.Tables.Add("myCustomers")
        ds_data.Tables.Add("myOrders")

        '********** Populating tables with data
        da = New OleDb.OleDbDataAdapter("Select * from Customers", myConnection)
        da.Fill(ds_data.Tables("myCustomers"))
        da.Dispose()

        da = New OleDb.OleDbDataAdapter("Select * from Orders", myConnection)
        da.Fill(ds_data.Tables("myOrders"))
        da.Dispose()

        '************ Creating relation between two tables
        ds_data.Relations.Add("Customers_Orders_rel", ds_data.Tables("myCustomers").Columns("CustomerID"), ds_data.Tables("myOrders").Columns("CustomerID"))

        With C1TrueDBGridMaster
            .DataSource = ds_data
            '**************** DataMember of MasterTable
            .DataMember = "myCustomers"
            .Visible = True
        End With

        C1TrueDBGridChild.DataSource = ds_data
        '**************** DataMember of ChildTable
        C1TrueDBGridChild.DataMember = "myCustomers.Customers_Orders_rel"

        '************* Setting ParentTable.RelationName
        C1TrueDBGridMaster.ChildGrid = C1TrueDBGridChild
    End Sub
End Class
